evas::canvas Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
evas::canvas Struct Reference

Class canvas. More...

## Public Member Functions
| canvas (Eo *eo)
| Eo Constructor. More...
| canvas (std::nullptr_t)
| nullptr_t Constructor. More...
| canvas (canvas const &other)
| Copy Constructor.
::efl::eina::range_list< ::evas::object > | tree_objects_at_xy_get (::evas::object stop_, int x_, int y_) const
void | event_feed_mouse_wheel (int direction_, int z_, unsigned int timestamp_, const void *data_) const
void | key_lock_on (::efl::eina::string_view keyname_) const
void | event_feed_key_down (::efl::eina::string_view keyname_,::efl::eina::string_view key_,::efl::eina::string_view string_,::efl::eina::string_view compose_, unsigned int timestamp_, const void *data_) const
Evas_Modifier_Mask | key_modifier_mask_get (::efl::eina::string_view keyname_) const
void | key_modifier_add (::efl::eina::string_view keyname_) const
void | key_modifier_off (::efl::eina::string_view keyname_) const
void | event_feed_hold (int hold_, unsigned int timestamp_, const void *data_) const
void | event_feed_mouse_move (int x_, int y_, unsigned int timestamp_, const void *data_) const
void | event_feed_key_up (::efl::eina::string_view keyname_,::efl::eina::string_view key_,::efl::eina::string_view string_,::efl::eina::string_view compose_, unsigned int timestamp_, const void *data_) const
void | event_feed_mouse_out (unsigned int timestamp_, const void *data_) const
void | event_input_multi_move (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, unsigned int timestamp_, const void *data_) const
::efl::eina::range_list< ::evas::object > | objects_at_xy_get (Evas_Coord x_, Evas_Coord y_, bool include_pass_events_objects_, bool include_hidden_objects_) const
void | event_input_multi_up (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
void | event_feed_multi_down (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
bool | render_async () const
bool | render2 () const
::efl::eina::list< Eina_Rectangle * > | render2_updates () const
void | focus_out () const
void | event_input_mouse_move (int x_, int y_, unsigned int timestamp_, const void *data_) const
void | norender () const
unsigned int | touch_point_list_count () const
void | event_input_multi_down (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
void | nochange_pop () const
void | key_lock_off (::efl::eina::string_view keyname_) const
void | nochange_push () const
void | font_cache_flush () const
bool | font_hinting_can_hint (Evas_Font_Hinting_Flags hinting_) const
::evas::object | object_top_at_xy_get (Evas_Coord x_, Evas_Coord y_, bool include_pass_events_objects_, bool include_hidden_objects_) const
void | key_modifier_on (::efl::eina::string_view keyname_) const
void | event_feed_mouse_up (int b_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
void | event_feed_mouse_down (int b_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
void | event_refeed_event (void *event_copy_, Evas_Callback_Type event_type_) const
::efl::eina::range_list< ::efl::eina::string_view > | font_available_list () const
::efl::eina::range_list< ::evas::object > | objects_in_rectangle_get (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_, bool include_pass_events_objects_, bool include_hidden_objects_) const
::evas::object | object_name_find (::efl::eina::string_view name_) const
void | font_path_append (::efl::eina::string_view path_) const
int | touch_point_list_nth_id_get (unsigned int n_) const
void | font_path_clear () const
void | smart_objects_calculate () const
void | touch_point_list_nth_xy_get (unsigned int n_, Evas_Coord *x_, Evas_Coord *y_) const
void | key_lock_del (::efl::eina::string_view keyname_) const
void | damage_rectangle_add (int x_, int y_, int w_, int h_) const
void | sync () const
::efl::eina::crange_list< ::efl::eina::string_view > | font_path_list () const
void | image_cache_reload () const
int | coord_world_x_to_screen (Evas_Coord x_) const
void | event_feed_multi_move (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, unsigned int timestamp_, const void *data_) const
::efl::eina::list< Eina_Rectangle * > | render_updates () const
void | image_cache_flush () const
Evas_Coord | coord_screen_y_to_world (int y_) const
void | key_modifier_del (::efl::eina::string_view keyname_) const
Evas_Touch_Point_State | touch_point_list_nth_state_get (unsigned int n_) const
void | focus_in () const
void | obscured_rectangle_add (int x_, int y_, int w_, int h_) const
void | render_dump () const
void | event_feed_mouse_in (unsigned int timestamp_, const void *data_) const
::evas::object | object_top_in_rectangle_get (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_, bool include_pass_events_objects_, bool include_hidden_objects_) const
void | render () const
void | event_feed_multi_up (int d_, int x_, int y_, double rad_, double radx_, double rady_, double pres_, double ang_, double fx_, double fy_, Evas_Button_Flags flags_, unsigned int timestamp_, const void *data_) const
void | font_path_prepend (::efl::eina::string_view path_) const
void | obscured_clear () const
void | event_feed_mouse_cancel (unsigned int timestamp_, const void *data_) const
Evas_Coord | coord_screen_x_to_world (int x_) const
void | key_lock_add (::efl::eina::string_view keyname_) const
void | render_idle_flush () const
int | coord_world_y_to_screen (Evas_Coord y_) const
void | event_feed_key_down_with_keycode (::efl::eina::string_view keyname_,::efl::eina::string_view key_,::efl::eina::string_view string_,::efl::eina::string_view compose_, unsigned int timestamp_, const void *data_, unsigned int keycode_) const
void | event_feed_key_up_with_keycode (::efl::eina::string_view keyname_,::efl::eina::string_view key_,::efl::eina::string_view string_,::efl::eina::string_view compose_, unsigned int timestamp_, const void *data_, unsigned int keycode_) const
void | event_feed_axis_update (unsigned int timestamp_, int device_, int toolid_, int naxes_, const Evas_Axis *axis_, const void *data_) const
void | output_framespace_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
void | output_framespace_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
void | output_viewport_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
void | output_viewport_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_) const
int | image_cache_get () const
void | image_cache_set (int size_) const
Evas_Event_Flags | event_default_flags_get () const
void | event_default_flags_set (Evas_Event_Flags flags_) const
int | output_method_get () const
void | output_method_set (int render_method_) const
int | font_cache_get () const
void | font_cache_set (int size_) const
void | output_size_get (int *w_, int *h_) const
void | output_size_set (int w_, int h_) const
void * | data_attach_get () const
void | data_attach_set (void *data_) const
Evas_Font_Hinting_Flags | font_hinting_get () const
void | font_hinting_set (Evas_Font_Hinting_Flags hinting_) const
Evas_Engine_Info * | engine_info_get () const
bool | engine_info_set (Evas_Engine_Info *info_) const
::evas::object | focus_get () const
::evas::object | object_top_get () const
const Evas_Lock * | key_lock_get () const
void | pointer_canvas_xy_get (Evas_Coord *x_, Evas_Coord *y_) const
int | event_down_count_get () const
int | smart_objects_calculate_count_get () const
bool | focus_state_get () const
bool | changed_get () const
void | pointer_output_xy_get (int *x_, int *y_) const
bool | pointer_inside_get () const
bool | image_max_size_get (int *maxw_, int *maxh_) const
::evas::object | object_bottom_get () const
const Evas_Modifier * | key_modifier_get () const
int | pointer_button_down_mask_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| canvas (::efl::eo::parent_type _p)
| Constructs a new evas::canvas object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class canvas.

## Constructor & Destructor Documentation

evas::canvas::canvas | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::canvas object.

Constructs a new evas::canvas object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::canvas my_canvas(efl::eo::parent = parent_object);

See also
  canvas(Eo* eo)

evas::canvas::canvas | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

evas::canvas::canvas | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::efl::eina::range_list< ::evas::object > evas::canvas::tree_objects_at_xy_get | ( | ::evas::object | stop_,
|  | int | x_,
|  | int | y_
| ) |  | const

Parameters

  stop |
  x |
  y |

void evas::canvas::event_feed_mouse_wheel | ( | int | direction_,
|  | int | z_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  direction |
  z |
  timestamp |
  data |

void evas::canvas::key_lock_on | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::event_feed_key_down | ( | ::efl::eina::string_view | keyname_,
|  | ::efl::eina::string_view | key_,
|  | ::efl::eina::string_view | string_,
|  | ::efl::eina::string_view | compose_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  keyname |
  key |
  string |
  compose |
  timestamp |
  data |

Evas_Modifier_Mask evas::canvas::key_modifier_mask_get | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::key_modifier_add | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::key_modifier_off | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::event_feed_hold | ( | int | hold_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  hold |
  timestamp |
  data |

void evas::canvas::event_feed_mouse_move | ( | int | x_,
|  | int | y_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  x |
  y |
  timestamp |
  data |

void evas::canvas::event_feed_key_up | ( | ::efl::eina::string_view | keyname_,
|  | ::efl::eina::string_view | key_,
|  | ::efl::eina::string_view | string_,
|  | ::efl::eina::string_view | compose_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  keyname |
  key |
  string |
  compose |
  timestamp |
  data |

void evas::canvas::event_feed_mouse_out | ( | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  timestamp |
  data |

void evas::canvas::event_input_multi_move | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  timestamp |
  data |

::efl::eina::range_list< ::evas::object > evas::canvas::objects_at_xy_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | bool | include_pass_events_objects_,
|  | bool | include_hidden_objects_
| ) |  | const

Parameters

  x |
  y |
  include_pass_events_objects |
  include_hidden_objects |

void evas::canvas::event_input_multi_up | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  flags |
  timestamp |
  data |

void evas::canvas::event_feed_multi_down | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  flags |
  timestamp |
  data |

void evas::canvas::event_input_mouse_move | ( | int | x_,
|  | int | y_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  x |
  y |
  timestamp |
  data |

void evas::canvas::event_input_multi_down | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  flags |
  timestamp |
  data |

void evas::canvas::key_lock_off | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

bool evas::canvas::font_hinting_can_hint | ( | Evas_Font_Hinting_Flags | hinting_ | ) | const

Parameters

  hinting |

::evas::object evas::canvas::object_top_at_xy_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | bool | include_pass_events_objects_,
|  | bool | include_hidden_objects_
| ) |  | const

Parameters

  x |
  y |
  include_pass_events_objects |
  include_hidden_objects |

void evas::canvas::key_modifier_on | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::event_feed_mouse_up | ( | int | b_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  b |
  flags |
  timestamp |
  data |

void evas::canvas::event_feed_mouse_down | ( | int | b_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  b |
  flags |
  timestamp |
  data |

void evas::canvas::event_refeed_event | ( | void * | event_copy_,
|  | Evas_Callback_Type | event_type_
| ) |  | const

Parameters

  event_copy |
  event_type |

::efl::eina::range_list< ::evas::object > evas::canvas::objects_in_rectangle_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_,
|  | bool | include_pass_events_objects_,
|  | bool | include_hidden_objects_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |
  include_pass_events_objects |
  include_hidden_objects |

::evas::object evas::canvas::object_name_find | ( | ::efl::eina::string_view | name_ | ) | const

Parameters

  name |

void evas::canvas::font_path_append | ( | ::efl::eina::string_view | path_ | ) | const

Parameters

  path |

int evas::canvas::touch_point_list_nth_id_get | ( | unsigned int | n_ | ) | const

Parameters

  n |

void evas::canvas::touch_point_list_nth_xy_get | ( | unsigned int | n_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_
| ) |  | const

Parameters

  | n |
  [out] | x |
  [out] | y |

void evas::canvas::key_lock_del | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

void evas::canvas::damage_rectangle_add | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |

int evas::canvas::coord_world_x_to_screen | ( | Evas_Coord | x_ | ) | const

Parameters

  x |

void evas::canvas::event_feed_multi_move | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  timestamp |
  data |

Evas_Coord evas::canvas::coord_screen_y_to_world | ( | int | y_ | ) | const

Parameters

  y |

void evas::canvas::key_modifier_del | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

Evas_Touch_Point_State evas::canvas::touch_point_list_nth_state_get | ( | unsigned int | n_ | ) | const

Parameters

  n |

void evas::canvas::obscured_rectangle_add | ( | int | x_,
|  | int | y_,
|  | int | w_,
|  | int | h_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |

void evas::canvas::event_feed_mouse_in | ( | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  timestamp |
  data |

::evas::object evas::canvas::object_top_in_rectangle_get | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_,
|  | bool | include_pass_events_objects_,
|  | bool | include_hidden_objects_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |
  include_pass_events_objects |
  include_hidden_objects |

void evas::canvas::event_feed_multi_up | ( | int | d_,
|  | int | x_,
|  | int | y_,
|  | double | rad_,
|  | double | radx_,
|  | double | rady_,
|  | double | pres_,
|  | double | ang_,
|  | double | fx_,
|  | double | fy_,
|  | Evas_Button_Flags | flags_,
|  | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  d |
  x |
  y |
  rad |
  radx |
  rady |
  pres |
  ang |
  fx |
  fy |
  flags |
  timestamp |
  data |

void evas::canvas::font_path_prepend | ( | ::efl::eina::string_view | path_ | ) | const

Parameters

  path |

void evas::canvas::event_feed_mouse_cancel | ( | unsigned int | timestamp_,
|  | const void * | data_
| ) |  | const

Parameters

  timestamp |
  data |

Evas_Coord evas::canvas::coord_screen_x_to_world | ( | int | x_ | ) | const

Parameters

  x |

void evas::canvas::key_lock_add | ( | ::efl::eina::string_view | keyname_ | ) | const

Parameters

  keyname |

int evas::canvas::coord_world_y_to_screen | ( | Evas_Coord | y_ | ) | const

Parameters

  y |

void evas::canvas::event_feed_key_down_with_keycode | ( | ::efl::eina::string_view | keyname_,
|  | ::efl::eina::string_view | key_,
|  | ::efl::eina::string_view | string_,
|  | ::efl::eina::string_view | compose_,
|  | unsigned int | timestamp_,
|  | const void * | data_,
|  | unsigned int | keycode_
| ) |  | const

Parameters

  keyname |
  key |
  string |
  compose |
  timestamp |
  data |
  keycode |

void evas::canvas::event_feed_key_up_with_keycode | ( | ::efl::eina::string_view | keyname_,
|  | ::efl::eina::string_view | key_,
|  | ::efl::eina::string_view | string_,
|  | ::efl::eina::string_view | compose_,
|  | unsigned int | timestamp_,
|  | const void * | data_,
|  | unsigned int | keycode_
| ) |  | const

Parameters

  keyname |
  key |
  string |
  compose |
  timestamp |
  data |
  keycode |

void evas::canvas::event_feed_axis_update | ( | unsigned int | timestamp_,
|  | int | device_,
|  | int | toolid_,
|  | int | naxes_,
|  | const Evas_Axis * | axis_,
|  | const void * | data_
| ) |  | const

Parameters

  timestamp |
  device |
  toolid |
  naxes |
  axis |
  data |